body {
  margin: 0;
  overflow: hidden;
  font-family: Arial;
  background: linear-gradient(to bottom, #0a0f2c, #1c3d7a);
  color: white;
}

.screen {
  position: absolute;
  width: 100%;
  height: 100%;
  display: none;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: rgba(0,0,0,0.8);
}

.screen.active {
  display: flex;
}

button {
  margin: 10px;
  padding: 15px 25px;
  font-size: 18px;
  border-radius: 10px;
  border: none;
  cursor: pointer;
}

#hud {
  position: absolute;
  top: 10px;
  left: 10px;
  display: flex;
  gap: 15px;
  align-items: center;
}

.hidden {
  display: none;
}

#playerName, #playerName2 {
  padding: 12px;
  font-size: 18px;
  border-radius: 10px;
  border: none;
  margin-bottom: 10px;
  text-align: center;
}

#rankingList li {
  font-size: 18px;
  margin: 5px 0;
}

#clearBtn {
  background: red;
  color: white;
}

/* pantalla final */
#endScreen h1 {
  font-size: 50px;
  color: gold;
  text-shadow: 0 0 20px yellow;
}

#endScreen p {
  font-size: 25px;
  margin: 20px;
}